using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using WindowsLive.Writer.Api;

namespace LiveWriterOptions
{
    public partial class OptionsForm : Form
    {
        private IProperties options = null;
        public OptionsForm(IProperties options)
        {
            this.options = options;
            InitializeComponent();
            textBox1.Text = options.GetString("SettingsValue", "");
        }

        private void button1_Click(object sender, EventArgs e)
        {
            options.SetString("SettingsValue", textBox1.Text);
            Close();
        }
    }
}